Verdocs - Developer Documentation
ReferenceRest APIApi docsData Catalogs

Submit a data catalog to the public marketplace

POST
/v2/organizations/{organizationid}/data-catalogs/{catalogid}/submissions

Path Parameters

organizationid*string
catalogid*string

Request Body

application/json

Body Parameters

TypeScript Definitions

Use the request body type in TypeScript.

notes?string

What reviewers should know about this catalog.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.verdocs.com/v2/organizations/ORGANIZATIONID/data-catalogs/CATALOGID/submissions" \    -H "Authorization: Bearer ACCESS_TOKEN" \    -H "content-type: application/json" \    -d '{"param": "value"}'
{
  "notes": "string",
  "review_notes": "string",
  "reviewed_at": "string",
  "submitted_by": "string",
  "version": 0
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}